fix console-notifications breaking login

This commit is contained in:
Jakub Filak 2014-10-09 17:05:01 +02:00
parent 98d5ba2974
commit ceaa3bf1ae
2 changed files with 56 additions and 1 deletions

View File

@ -0,0 +1,48 @@
From b7332b068c11ec16c190472684334944abb3607b Mon Sep 17 00:00:00 2001
From: Jakub Filak <jfilak@redhat.com>
Date: Thu, 9 Oct 2014 16:28:12 +0200
Subject: [PATCH 6/6] console-notifications: use return instead of exit
Thanks Ray Strode [halfline] <rstrode@redhat.com>
Related to rhbz#1150169
Signed-off-by: Jakub Filak <jfilak@redhat.com>
---
src/cli/abrt-console-notification.sh | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/src/cli/abrt-console-notification.sh b/src/cli/abrt-console-notification.sh
index 849273c..38de7bb 100755
--- a/src/cli/abrt-console-notification.sh
+++ b/src/cli/abrt-console-notification.sh
@@ -1,13 +1,13 @@
-# If shell is not connect to a terminal, exit immediately, because this script
+# If shell is not connect to a terminal, return immediately, because this script
# should print out ABRT's status and it is senseless to continue without
# terminal.
-tty -s || exit 0
+tty -s || return 0
# If $HOME is not set, a non human user is logging in to shell but this script
-# should provide information to human users, therefore exiting immediately
+# should provide information to human users, therefore returning immediately
# without showing the notification.
if [ -z "$HOME" ]; then
- exit 0
+ return 0
fi
if [ -z "$ABRT_DEBUG_LOG" ]; then
@@ -19,7 +19,7 @@ SINCEFILE="$LPATHDIR/lastnotification"
if [ ! -f "$LPATHDIR" ]; then
# It might happen that user doesn't have write access on his home.
- mkdir -p "$LPATHDIR" >"$ABRT_DEBUG_LOG" 2>&1 || exit 0
+ mkdir -p "$LPATHDIR" >"$ABRT_DEBUG_LOG" 2>&1 || return 0
fi
TMPPATH=`mktemp --tmpdir="$LPATHDIR" lastnotification.XXXXXXXX 2> "$ABRT_DEBUG_LOG"`
--
2.1.0

View File

@ -46,7 +46,7 @@
Summary: Automatic bug detection and reporting tool
Name: abrt
Version: 2.3.0
Release: 1%{?dist}
Release: 2%{?dist}
License: GPLv2+
Group: Applications/System
URL: https://fedorahosted.org/abrt/
@ -56,6 +56,10 @@ Patch0: disable-OpenGPGCheck-in-Fedora-Rawhide.patch
#Patch0001: 0001-testsuite-added-missing-test-for-abrt-cli-option-pro.patch
Patch0002: 0002-Translation-updates.patch
#Patch0003: 0003-testsuite-added-nachineid-test.patch
#Patch0004: 0004-testsuite-added-test-for-ureport-with-Authentication.patch
#Patch0005: 0005-testsuite-added-test-for-ureport-authorization-throu.patch
Patch0006: 0006-console-notifications-use-return-instead-of-exit.patch
# '%%autosetup -S git' -> git
BuildRequires: git
@ -966,6 +970,9 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
%config(noreplace) %{_sysconfdir}/profile.d/abrt-console-notification.sh
%changelog
* Thu Oct 09 2014 Jakub Filak <jfilak@redhat.com> - 2.3.0-2
- console-notifications: use return instead of exit
* Wed Oct 08 2014 Jakub Filak <jfilak@redhat.com> - 2.3.0-1
- applet: confirm ignoring of notifications
- cli: batch reporting in abrt-cli